Package org.apache.sling.distribution.servlet

## Class DistributionAgentServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - org.apache.sling.api.servlets.SlingSafeMethodsServlet
    - - org.apache.sling.api.servlets.SlingAllMethodsServlet
      - - org.apache.sling.distribution.servlet.DistributionAgentServlet

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

    public class DistributionAgentServlet
    extends org.apache.sling.api.servlets.SlingAllMethodsServlet

Servlet to ask `DistributionAgent`s to distribute (via HTTP POST).

See Also:
  Serialized Form

### Constructor Summary

Constructors
`DistributionAgentServlet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `doPost​(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.api.SlingHttpServletResponse response)`

### Methods inherited from class org.apache.sling.api.servlets.SlingAllMethodsServlet

`doDelete, doPut, getAllowedRequestMethods, isMethodValid, mayService`

### Methods inherited from class org.apache.sling.api.servlets.SlingSafeMethodsServlet

`doGeneric, doGet, doHead, doOptions, doTrace, getServletInfo, handleMethodNotImplemented, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DistributionAgentServlet

    public DistributionAgentServlet()

### Method Detail

#### doPost

    protected void doPost​(org.apache.sling.api.SlingHttpServletRequest request,
                          org.apache.sling.api.SlingHttpServletResponse response)
                   throws javax.servlet.ServletException,
                          IOException

Overrides:
  `doPost` in class `org.apache.sling.api.servlets.SlingAllMethodsServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`